Jump to content

Recommended Posts

The 1.04 (540) patch is now live on Steam. It is currently going through the QA process for GOG and Origin and should be available on those sites in the next day or two.

 

We will be posting a backer update regarding the patch later today or tomorrow.

 

You can find the patch notes for 1.04 here.

  • Like 13

Share this post


Link to post
Share on other sites

The 1.04 (540) patch is now live on Steam. It is currently going through the QA process for GOG and Origin and should be available on those sites in the next day or two.

 

We will be posting a backer update regarding the patch later today or tomorrow.

 

You can find the patch notes for 1.04 here.

 

Can you get your community manager to post about the Patch 1.04 at the Steam forum again. I made a post mysel,f but as always an official sticky post is preferred to relay  information to the hungry crowd.

Also love you signature on my collector box. Thanks, but who signed with you?

Share this post


Link to post
Share on other sites

Is it confirmed that this will be the version used for backer discs?

 

Hi Flow, yep, we're testing installable versions of this shortly to send off for duplication.


OBSIDIAN ORDER OF ETERNITY - Officially sponsored most generously by Pierre and SD!

Share this post


Link to post
Share on other sites

Can you get your community manager to post about the Patch 1.04 at the Steam forum again. I made a post mysel,f but as always an official sticky post is preferred to relay  information to the hungry crowd.

Also love you signature on my collector box. Thanks, but who signed with you?

 

 

Done, thanks!


OBSIDIAN ORDER OF ETERNITY - Officially sponsored most generously by Pierre and SD!

Share this post


Link to post
Share on other sites

I know we've heard that Patch 1.05 is going to be a big one in terms of balance and gameplay adjustments - is there any chance that a tentative list of such changes could be made available to public comment?

 

Obviously not all commentary is equally helpful, but there might be ... I dunno, some critique of value buried somewhere in there. Maybe.

  • Like 1

If I'm typing in red, it means I'm being sarcastic. But not this time.

Dark green, on the other hand, is for jokes and irony in general.

Share this post


Link to post
Share on other sites

On my Mac (10.10.3) the patch appears to have broken the character voices for my non-NPC companions -- that is, the companions I hired and made myself at the Black Hound for 250 copper.

 

It appears they no longer have a voice, although my main character and the lone NPC in my party (Eder) still speak when you click on them, give them an action, etc.

 

I tried dismissing them from my party and re-hiring ... no luck.

 

I created and new adventurer and hired him, and he has a voice. It seems like it just broke the characters who existed in my party before applying the patch.

Share this post


Link to post
Share on other sites

I have no idea what "our issue" is, but there's a patch coming literally every week, so maybe it just didn't make it onto this one. 

  • Like 2

Share this post


Link to post
Share on other sites

Umm, am I missing something or was our issue with the Knights and the Dozens completely ignored?

Not-yet-fixed isn't the same thing as "ignored." Maybe that issue's taking longer to iron out than others? Would you rather everyone else have to wait on all the other fixes, however long it takes? Or would you rather they go ahead and put this patch out, and work it into the next one?


Should we not start with some Ipelagos, or at least some Greater Ipelagos, before tackling a named Arch Ipelago? 6_u

Share this post


Link to post
Share on other sites

They mentioned last week that 1.05 was already in flight. That means 1.04 is stuff they already had fixes for. I have to imagine that 1.06, 1.07, etc will be the same.

 

This is what version control does.

 

If they waited to release patches until every reported issue was resolved, we would never get patches.

  • Like 5

"Art and song are creations but so are weapons and lies"

"Our worst enemies are inventions of the mind. Pleasure. Fear. When we see them for what they are, we become unstoppable."

Share this post


Link to post
Share on other sites

Well, seems that assigning companions to Stronghold now doesn't strip away their voice... Good.

 

But companions I had before that were voice-stripped are voice-stripped still. Bad.

 

What I am to do with those I travelled with so far? Kill them off and make new ones? Lame.

Share this post


Link to post
Share on other sites

Are there any plans to do some balance tweaking for the classes? Cipher's Mental Binding seems a tad strong (just a tad), Paladin and Ranger could use a bit of love, and people are unsure if Barb's One Stands Alone is working as intended.


"The Courier was the worst of all of them. The worst by far. When he died the first time, he must have met the devil, and then killed him."

 

 

Is your mom hot? It may explain why guys were following her ?

Share this post


Link to post
Share on other sites

wow already on GOG. sweet little 12MB. thanks :)

 

It doesn't seem to work for me. It says "This patch does not support your version of the game please download a new installer.". If I try to open the 1.03 patch, it says "Update already applied".

 

Hm, maybe I need to reinstall from scratch?


"Let justice be done, though the heavens fall."

ALDNOAH ZERO

Share this post


Link to post
Share on other sites

 

wow already on GOG. sweet little 12MB. thanks :)

 

It doesn't seem to work for me. It says "This patch does not support your version of the game please download a new installer.". If I try to open the 1.03 patch, it says "Update already applied".

 

Hm, maybe I need to reinstall from scratch?

 

I am having the same problem.

Share this post


Link to post
Share on other sites

 

wow already on GOG. sweet little 12MB. thanks :)

 

It doesn't seem to work for me. It says "This patch does not support your version of the game please download a new installer.". If I try to open the 1.03 patch, it says "Update already applied".

 

Hm, maybe I need to reinstall from scratch?

 

Worked all fine for me. Perhaps GOG didn't include the 1.03.530 Hotfix in their 1.03 Patch and thats why you're having problems?

Share this post


Link to post
Share on other sites

 

 

wow already on GOG. sweet little 12MB. thanks :)

 

It doesn't seem to work for me. It says "This patch does not support your version of the game please download a new installer.". If I try to open the 1.03 patch, it says "Update already applied".

 

Hm, maybe I need to reinstall from scratch?

 

Worked all fine for me. Perhaps GOG didn't include the 1.03.530 Hotfix in their 1.03 Patch and thats why you're having problems?

 

Hmm...last GOG patch updated the game to 1.03.530

Share this post


Link to post
Share on other sites

Either way it doesn't work and is asking for a new installer, which is a 6.3 gig re-download. Back to Underrail it is then!

 

 

Edit: Looks as though you can just re-download the 1.03 patch, install and then apply the 1.04 patch.

Edited by NegativeEdge

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...

×
×
  • Create New...